%define pypi_name dropbox

Name:           python-%{pypi_name}
Version:        12.0.2
Release:        %mkrel 1
Summary:        Official Dropbox REST API Client
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/dropbox
Source0:        %{pypi_source}
Patch0:         0001-12.0.2-dont-install-tests.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest-runner

%description
A Python library for Dropbox's HTTP-based Core and Datastore APIs.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Official Dropbox REST API Client
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-urllib3

%description -n python3-%{pypi_name}
A Python 3 library for Dropbox's HTTP-based Core and Datastore APIs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dropbox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sat Jun 29 2024 papoteur <papoteur> 12.0.2-1.mga10
+ Revision: 2077986
- new version 12.0.2

* Sat Feb 24 2024 daviddavid <daviddavid> 11.36.2-2.mga10
+ Revision: 2043903
- rebuild for py3.12

* Tue Oct 17 2023 papoteur <papoteur> 11.36.2-1.mga10
+ Revision: 1998063
- new 11.36.2

* Wed May 31 2023 kekepower <kekepower> 11.36.0-1.mga9
+ Revision: 1960196
- Update to version 11.36.0

* Tue Feb 28 2023 daviddavid <daviddavid> 11.34.0-2.mga9
+ Revision: 1945859
- add patch to relax dependency for wrong "stone>=2.*"

* Thu Sep 29 2022 neoclust <neoclust> 11.34.0-1.mga9
+ Revision: 1893242
- New version 11.34.0

* Tue Aug 02 2022 tv <tv> 11.33.0-1.mga9
+ Revision: 1874551
- patch 0: unpin pytest-runner which fixes building under iurt
- Remove uneeded BRs
- New 11.33.0 release which fixes build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- BR python3dist(pip) python3dist(wheel)
- verison 11.27.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 11.2.0-2.mga9
+ Revision: 1732402
- Rebuild for python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 11.2.0-1.mga9
+ Revision: 1698156
- new version 11.2.0

* Sat Nov 14 2020 guillomovitch <guillomovitch> 10.10.0-1.mga8
+ Revision: 1646145
- new version 10.10.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 10.8.0-1.mga8
+ Revision: 1643740
- new version 10.8.0

* Mon Sep 14 2020 guillomovitch <guillomovitch> 10.4.1-1.mga8
+ Revision: 1626336
- new version 10.4.1

* Sun May 31 2020 daviddavid <daviddavid> 10.2.0-1.mga8
+ Revision: 1589227
- new version: 10.2.0

* Tue Apr 28 2020 daviddavid <daviddavid> 10.1.1-1.mga8
+ Revision: 1572817
- new version: 10.1.1

* Tue Mar 31 2020 daviddavid <daviddavid> 9.5.0-1.mga8
+ Revision: 1562594
- new version: 9.5.0

* Sun Feb 16 2020 umeabot <umeabot> 9.4.0-2.mga8
+ Revision: 1535048
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 9.4.0-1.mga8
+ Revision: 1450710
- new version: 9.4.0

* Mon Oct 07 2019 daviddavid <daviddavid> 9.3.0-2.mga8
+ Revision: 1450365
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 9.3.0-1.mga7
+ Revision: 1352558
- add BRs
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.41-4.mga7
+ Revision: 1288789
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.41-3.mga7
+ Revision: 1135405
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 3.41-1.mga6
+ Revision: 905817
- update to 3.41

* Tue Oct 13 2015 philippem <philippem> 3.22-1.mga6
+ Revision: 890487
- update to 3.22

* Sat Oct 10 2015 tv <tv> 2.1.0-5.mga6
+ Revision: 888988
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 739746
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.0-3.mga5
+ Revision: 728377
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 688009
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 philippem <philippem> 2.1.0-1.mga5
+ Revision: 666454
- imported package python-dropbox

